import request from '@/utils/request'


//
export function orderChartData() {
  return request({
    url: '/his/data/orderChartData',
    method: 'get',
  })
}
export function inquiryOrderChartData() {
  return request({
    url: '/his/data/inquiryOrderChartData',
    method: 'get',
  })
}
export function doctorChartData(type) {
  return request({
    url: '/his/data/doctorChartData/'+type,
    method: 'get',
  })
}


export function getPeData() {
  return request({
    url: '/his/data/orderData',
    method: 'get'
  })
}

export function storeOrderChart(query) {
  return request({
    url: '/his/data/storeOrderChart',
    method: 'get',
    params: query
  })
}
export function storeOrderChartStore(query) {
  return request({
    url: '/his/data/storeOrderChartStore',
    method: 'get',
    params: query
  })
}

export function inquiryOrderChartInq(query) {
  return request({
    url: '/his/data/inquiryOrderChartInq',
    method: 'get',
    params: query
  })
}
export function inquiryExport(query) {
  return request({
    url: '/his/data/inquiryExport',
    method: 'get',
    params: query
  })
}

export function storeExport(query) {
  return request({
    url: '/his/data/storeExport',
    method: 'get',
    params: query
  })
}
export function inquiryOrderChart(query) {
  return request({
    url: '/his/data/inquiryOrderChart',
    method: 'get',
    params: query
  })
}
// 查询广告详细
export function getAdv(advId) {
  return request({
    url: '/his/adv/' + advId,
    method: 'get'
  })
}

// 新增广告
export function addAdv(data) {
  return request({
    url: '/his/adv',
    method: 'post',
    data: data
  })
}

// 修改广告
export function updateAdv(data) {
  return request({
    url: '/his/adv',
    method: 'put',
    data: data
  })
}

// 删除广告
export function delAdv(advId) {
  return request({
    url: '/his/adv/' + advId,
    method: 'delete'
  })
}


// 导出广告
export function exportAdv(query) {
  return request({
    url: '/his/adv/export',
    method: 'get',
    params: query
  })
}
